Get a workspace in the organization
GET
/v1/organization/workspaces/{workspace_id}const workspace = await bird.organization.workspaces.get(
"ws_01krdgeqcxet5s7t44vh8rt9mg",
);
console.log(workspace.name);workspace = client.organization.workspaces.get("ws_01krdgeqcxet5s7t44vh8rt9mg")
print(workspace.name)workspace, err := client.Organization.Workspaces.Get(context.Background(), "ws_01krdgeqcxet5s7t44vh8rt9mg")
if err != nil {
log.Fatal(err)
}
fmt.Println(workspace.Name)$workspace = $bird->organization->workspaces->get('ws_01krdgeqcxet5s7t44vh8rt9mg');
echo $workspace->getName() . PHP_EOL;bird organization workspaces get <workspace-id>curl -X GET "https://us1.platform.bird.com/v1/organization/workspaces/{workspace_id}" \
-H "Authorization: Bearer $TOKEN"Réponse200
{
"id": "ws_01krdgeqcxet5s7t44vh8rt9mg",
"organization_id": "org_01krdgeqcxet5s7t44vh8rt9mg",
"name": "Production",
"notification_emails": {
"operational": [
"alerts@example.com"
]
},
"created_at": "2026-05-20T09:14:52Z",
"updated_at": "2026-05-25T16:42:01Z"
}
Returns any workspace in the organization by ID. Organization administrators can read workspaces without holding a workspace-level role. Organization master keys and authorized CLI or MCP access tokens need organization workspace read access. Workspace API keys cannot call this operation.
Paramètres
workspace_idstringWorkspace identifier. Starts with ws_.
Contenu de la réponse
idstring
obligatoire
organization_idstring
obligatoire
namestring
obligatoire
notification_emailsobject
obligatoire
logo_urlnullable string
HTTPS URL to the current workspace logo. null when unset.
created_atstring
obligatoire
updated_atstring
obligatoire
Ressources associées
Poursuivez avec la documentation, les guides et les exemples sur ce sujet.